Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class ColorTable

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.qd.ColorTable

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ColorTable
extends QTHandleRef
implements quicktime.jdirect.QuickTimeLib

When creating a PixMap for a particular graphics device, Color QuickDraw creates a ColorTable that defines the best colors available for the pixel image on that particular graphics device. refer to ColorTable in QuickDraw

See Also:
  `quicktime.std.qd.PixMap`

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static ColorTable` | `fromCompressionDialog(ImageCompressionDialog d)` Gets the current color table or null to clear the current color table for a dialog.
`static ColorTable` | `fromImageDescription(ImageDescription id)` Get the custom color table for an image.
`static ColorTable` | `fromMovie(Movie m)` This method allows your application to get the color table of the movie.
`static ColorTable` | `fromPixMap(PixMap pm)` When creating a PixMap for a particular graphics device, Color QuickDraw creates a ColorTable that defines the best colors available for the pixel image on that particular graphics device.
`int` | `getCtSeed()` Identifies a particular instance of a color table.
`int` | `getCtSize()` Returns the number of colours in the colour table.
`java.lang.String` | `toString()` Print information about this object.

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Method Detail

### fromImageDescription

    public static ColorTable fromImageDescription(ImageDescription id)
                                           throws QTException

  Get the custom color table for an image. If there is no CTable this returns null.
  QuickTime::GetImageDescriptionCTable

  Parameters:
    `id` - the ImageDescription
  See Also:
    `ImageDescription.getCTable()`

### fromMovie

    public static ColorTable fromMovie(Movie m)
                                throws QTException

  This method allows your application to get the color table of the movie.
  QuickTime::GetMovieColorTable()

  Parameters:
    `m` - the movie to get the color table from
  Returns:
    a ColorTable object specifiying the current color table.
  See Also:
    `quicktime.std.movies.Movie#getCTable`

### fromPixMap

    public static ColorTable fromPixMap(PixMap pm)

  When creating a PixMap for a particular graphics device, Color QuickDraw creates a ColorTable that defines the best colors available for the pixel image on that particular graphics device. Note that a reference to the PixMap object will be maintained by the ColorTable object to prevent the PixMap from being garbage collected before the ColorTable.
  Returns:
    a ColorTable object
  See Also:
    `quicktime.std.qd.PixMap`

### fromCompressionDialog

    public static ColorTable fromCompressionDialog(ImageCompressionDialog d)
                                            throws QTException

  Gets the current color table or null to clear the current color table for a dialog.
  QuickTime::SCGetInfo()

  Returns:
    the current color table or null if no color table being used.
  See Also:
    `ImageCompressionDialog.getInfoColorTable()`

### getCtSeed

    public int getCtSeed()

  Identifies a particular instance of a color table.
  Returns:
    an int

### getCtSize

    public int getCtSize()

  Returns the number of colours in the colour table.

### toString

    public java.lang.String toString()

  Print information about this object.
  Overrides:
    `toString` in class `QTHandleRef`
  Returns:
    a string representing this ColorTable object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD